package com.demo.insurance.to;

/**
 * This class defines string constants for entry endpoint names for all ESB
 * services used in this application. In the future (when there is no
 * requirement to be backward compatible with JDK 1.4), this class can become
 * and enumeration.
 * 
 * @author Leon Rubin
 */
public class Endpoint {
	/**
	 * The entry point for the medical report service.
	 */
	public static final String MEDICAL_REPORT_SERVICE = "MedicalReportServiceInstance.Entry";

	/**
	 * The entry point for the letter service.
	 */
	public static final String LETTER_SERVICE = "LetterServiceInstance.Entry";

	/**
	 * The entry point for the policy issue service.
	 */
	public static final String POLICY_ISSUE_SERVICE = "PolicyIssueServiceInstance.Entry";
}
